Bug 962609 - [abrt] ibus-typing-booster-0.0.28-1.fc19: main.py:107:__init__:AttributeError: tabsqlitedb instance has no attribute 'get_ime_property'
[abrt] ibus-typing-booster-0.0.28-1.fc19: main.py:107:__init__:AttributeError...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
abrt_hash:0aae33dcdcb9ed86160ae075b1a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 23:00 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-05-25 23:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-typing-booster-0.0.29-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-25 22:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (760 bytes, text/plain)
2013-05-13 23:00 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (205 bytes, text/plain)
2013-05-13 23:00 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: environ (1.63 KB, text/plain)
2013-05-13 23:00 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-05-13 23:00:01 EDT
Description of problem:
I tried to enable Hindi language typing from settings.

Version-Release number of selected component:
ibus-typing-booster-0.0.28-1.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/ibus-typing-booster/setup/main.py
executable:     /usr/share/ibus-typing-booster/setup/main.py
kernel:         3.9.1-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
main.py:107:__init__:AttributeError: tabsqlitedb instance has no attribute 'get_ime_property'

Traceback (most recent call last):
  File "/usr/share/ibus-typing-booster/setup/main.py", line 259, in <module>
    SetupUi = SetupUI()
  File "/usr/share/ibus-typing-booster/setup/main.py", line 107, in __init__
    self.name = self.db.get_ime_property('name')
AttributeError: tabsqlitedb instance has no attribute 'get_ime_property'

Local variables in innermost frame:
config_file_full_path: '/usr/share/ibus-typing-booster/hunspell-tables/hi_IN.conf'
ibus_engine_name: 'typing-booster:hi_IN'
self: <__main__.SetupUI instance at 0x2114518>
event_handler: <__main__.EventHandler instance at 0x214d488>
filename: '/usr/share/ibus-typing-booster/setup/setup.glade'
Comment 1 Ankur Sinha (FranciscoD) 2013-05-13 23:00:05 EDT
Created attachment 747491 [details]
File: backtrace
Comment 2 Ankur Sinha (FranciscoD) 2013-05-13 23:00:10 EDT
Created attachment 747492 [details]
File: core_backtrace
Comment 3 Ankur Sinha (FranciscoD) 2013-05-13 23:00:12 EDT
Created attachment 747493 [details]
File: environ
Comment 5 Fedora Update System 2013-05-14 03:14:06 EDT
ibus-typing-booster-0.0.29-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.29-1.fc19
Comment 6 Fedora Update System 2013-05-14 03:24:13 EDT
ibus-typing-booster-0.0.29-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.29-1.fc17
Comment 7 Fedora Update System 2013-05-14 03:33:24 EDT
ibus-typing-booster-0.0.29-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.29-1.fc18
Comment 8 Fedora Update System 2013-05-14 13:45:53 EDT
Package ibus-typing-booster-0.0.29-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-typing-booster-0.0.29-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8140/ibus-typing-booster-0.0.29-1.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-05-25 22:56:10 EDT
ibus-typing-booster-0.0.29-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-05-25 22:58:01 EDT
ibus-typing-booster-0.0.29-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-05-25 23:37:26 EDT
ibus-typing-booster-0.0.29-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.